* {
  box-sizing: border-box;
}

@font-face {
  font-family: "Inter";
  src: url("../fonts/InterRegular.woff2");
  font-display: swap;
  font-weight: 400;
}

@font-face {
  font-family: "Inter";
  src: url("../fonts/InterMedium.woff2");
  font-display: swap;
  font-weight: 500;
}

@font-face {
  font-family: "Inter";
  src: url("../fonts/InterBold.woff2");
  font-display: swap;
  font-weight: 700;
}

body {
  margin: 0;
  font-family: "Inter", sans-serif;
}

.container {
  margin: 0 auto;
  padding: 0 10px;
  max-width: 1700px;
}

.header {
  padding: 20px 0;
}

.header__container {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.header__logo {
  font-weight: 700;
  font-size: 24px;
  text-decoration: none;
  color: #0f172a;
}

.nav__list {
  margin: 0;
  padding: 0;
  list-style: none;
  display: flex;
  align-items: center;
  gap: 32px;
}

.nav__link {
  font-weight: 400;
  font-size: 16px;
  color: #64748b;
  text-decoration: none;
  transition: color 0.3s;
}

.nav__link:hover {
  color: #404a58;
}

.header__btns {
  display: flex;
  align-items: center;
  gap: 20px;
}

.header__search {
  display: block;
  border: none;
  padding: 0;
  width: 24px;
  height: 24px;
  color: #0f172a;
  background: transparent;
  cursor: pointer;
  transition: color 0.3s;
}

.header__search svg {
  stroke: currentColor;
}

.header__search:hover {
  color: #243662;
}

.header__start {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  border: none;
  border-radius: 16px;
  padding: 16px 20px;
  font-family: inherit;
  font-weight: 500;
  font-size: 16px;
  color: #fff;
  background: #0f172a;
  cursor: pointer;
  transition: background 0.3s;
}

.header__start:hover {
  background: #243662;
}
